# Enum HardenControlFlow

java.lang.Object
java.lang.Enum<HardenControlFlow>
com.codename1.annotations.buildhints.HardenControlFlow

All Implemented Interfaces:
  `Comparable<HardenControlFlow>`

public enum HardenControlFlow extends Enum<HardenControlFlow>

Accepted values of the `harden.controlFlow` build hint.

Each constant's `@HintValue` carries the string the build actually receives, which is not always the constant's own name.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Say nothing, and let the build server apply its own default.
  `OFF`
  `ON`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HardenControlFlow`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HardenControlFlow[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final HardenControlFlow DEFAULT
    Say nothing, and let the build server apply its own default.

  - ### OFF

    public static final HardenControlFlow OFF

  - ### ON

    public static final HardenControlFlow ON

- ## Method Details

  - ### values

    public static HardenControlFlow[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static HardenControlFlow valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null